# pion::PluginManager< PLUGIN_TYPE >::DuplicatePluginException Class Reference

`#include <PluginManager.hpp>`

Inherits pion::PionException.

List of all members.

## Detailed Description

### template<typename PLUGIN_TYPE>
class pion::PluginManager< PLUGIN_TYPE >::DuplicatePluginException

exception thrown if we try to add or load a duplicate plug-in

Definition at line 42 of file PluginManager.hpp.

## Public Member Functions

| DuplicatePluginException (const std::string &plugin_id)

The documentation for this class was generated from the following file:

- common/include/pion/PluginManager.hpp